import React from "react";
import classNames from "classnames";
import { makeStyles } from "@material-ui/core/styles";

import Header from "components/Header/Header.js";
import HeaderSuzuki from "components/Header/HeaderSuzuki.js";
import Parallax from "components/Parallax/Parallax.js";
import styles from "assets/jss/nextjs-material-kit/pages/components.js";
import FooterSuzuki from "components/Footer/FooterSuzuki.js";

import Getservices from "api/home/service.js";
import Getcarousels from "api/home/carousel.js";
import DataSnackbarContent from "pages-sections/suzuki/snackbar.js";
import DataCarousel from "pages-sections/suzuki/home/carousel.js";
import DataService from "pages-sections/suzuki/home/service.js";
import DataSosmed from "pages-sections/suzuki/home/sosmed.js";
import DataFeature from "pages-sections/suzuki/home/feature.js"
import stylecss from "pages/home.css"
import Cookies from "cookies";

const useStyles = makeStyles(styles);
const Home = function ({
  backend,
  businessPartners,
  service,
  carousels,
  user,
  ...props
}) {
  const classes = useStyles();
  const { ...rest } = props;
  <DataService service={props.service} />;
  return (
    <div>
      <Header
        rightLinks={<HeaderSuzuki username={user} />}
        fixed
        color="dark"
        changeColorOnScroll={{
          height: 400,
          color: "white",
        }}
        {...rest}
      />
      <Parallax
        image={require("assets/img/dekstop_pandemi.jpg")}
        styles={{ marginTop: "50px" }}
      />
      <div className={classNames(classes.main, classes.mainRaised)}>
        <DataSnackbarContent />
        <DataCarousel carousels={carousels} backend={backend} />
        <DataService service={service} backend={backend} />
        {/* <DataFeature /> */}
        <a href="https://wa.me/087797315685" target="_blank" class="float">
          <i class="fa fa-phone my-float"></i>
        </a>
      </div>
      <FooterSuzuki />
    </div>
  );
};

export async function getServerSideProps(context) {
  var businessPartners = [];
  var service = [];
  var carousels = [];
  const backend = process.env.BACKEND_SERVER_URI;
  var { req, resp } = context;
  const cookies = new Cookies(req, resp);
  var user = "";
  var userObj = (await cookies.get("user"))
    ? JSON.parse(await cookies.get("user"))
    : null;
  if (userObj) {
    let sessionId = userObj["partners_login_states"].filter(function (i) {
      return (
        i.business_partner && i.business_partner.name.toUpperCase() == "SUZUKI"
      );
    });
    if (sessionId.length != 0) user = userObj["username"];
  }

  var res = await Getservices.GetservicesSuzuki();
  if (res["STATUS"] === 1) {
    service = res["DATA"]["services"];
  }

  var res = await Getcarousels.GetCarouselsSuzuki();
  if (res["STATUS"] === 1) {
    carousels = res["DATA"]["carousels"];
  }

  return {
    props: { businessPartners, service, carousels, backend, user }, // will be passed to the page component as props
  };
}

export default Home;
